import { BrowserRouter, Routes, Route } from 'react-router-dom';
import Layout from '@app/layout/layout';
import { HomePage } from '@pages/home';
import { LaptopPredictPage } from '@pages/laptop';
import { TVPredictPage } from '@pages/tv';

const routes = [
  { path: '/', element: <HomePage /> },
  { path: '/laptop', element: <LaptopPredictPage /> },
  { path: '/tv', element: <TVPredictPage /> },
];

const Index = () => {
  return (
    <BrowserRouter>
      <Routes>
        {routes.map((route) => (
          <Route
            key={route.path}
            path={route.path}
            element={<Layout children={route.element} />}
          ></Route>
        ))}
      </Routes>
    </BrowserRouter>
  );
};

export default Index;
