import { FC, ReactNode, useState } from 'react';
import classes from './styles.module.scss';
import { Devider } from '@shared/components/devider';

type ExpanderProps = {
  title: string;
  children: ReactNode;
};

const Expander: FC<ExpanderProps> = ({ title, children }) => {
  const [expanded, setExpanded] = useState(false);
  const handleHeaderClick = () => {
    setExpanded((expanded) => !expanded);
  };

  return (
    <div className={classes.expander}>
      <div className={classes.header} onClick={handleHeaderClick}>
        <div className={classes.title}>{title}</div>
        <span className={classes.title}>{expanded ? '▼' : '❮'}</span>
      </div>
      <div
        className={
          expanded ? classes.contentExpanded : classes.contentCollapsed
        }
      >
        <Devider />
        {children}
      </div>
    </div>
  );
};

export default Expander;
